Loading...
Searching...
No Matches
casacore::QuantumType_global_functions_QuantumType Struct Reference
casa package (libcasa_casa) » Quanta_module

More...

`#include <QuantumType.h>`

## Public Member Functions

uInt | quantumType (const Quantum< Double > *)
uInt | quantumType (const Quantum< Float > *)
uInt | quantumType (const Quantum< Int > *)
uInt | quantumType (const Quantum< DComplex > *)
uInt | quantumType (const Quantum< Complex > *)
uInt | quantumType (const Quantum< Vector< Double > > *)
uInt | quantumType (const Quantum< Vector< Float > > *)
uInt | quantumType (const Quantum< Vector< Int > > *)
uInt | quantumType (const Quantum< Vector< DComplex > > *)
uInt | quantumType (const Quantum< Vector< Complex > > *)
uInt | quantumType (const Quantum< Array< Double > > *)
uInt | quantumType (const Quantum< Array< Float > > *)
uInt | quantumType (const Quantum< Array< Int > > *)
uInt | quantumType (const Quantum< Array< DComplex > > *)
uInt | quantumType (const Quantum< Array< Complex > > *)
uInt | quantumType (const Quantum< Matrix< Double > > *)
uInt | quantumType (const Quantum< Matrix< Float > > *)
uInt | quantumType (const Quantum< Matrix< Int > > *)
uInt | quantumType (const Quantum< Matrix< DComplex > > *)
uInt | quantumType (const Quantum< Matrix< Complex > > *)

## Detailed Description

Get an integer type for a Qunatum<T>

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tQuantumHolder

### Synopsis

The old way of getting a type number for a Quantum<T> uses the Register class. This did not work well with shared libraries, because each shared library gets its own static type data. Hence a type generated in one python module sometimes mismatched the type for the same Quantum in another module. For instance, it appeared that whem first loading pyrap.tables and thereafter pyrap.quanta, things went wrong.

Therefore this class has been developed that returns the type for the Quantum template types used by QuantumHolder.

Definition at line 59 of file QuantumType.h.

## Member Function Documentation

## quantumType() [1/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Array< Complex > > * |  | ) |

inline

Definition at line 88 of file QuantumType.h.

## quantumType() [2/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Array< DComplex > > * |  | ) |

inline

Definition at line 86 of file QuantumType.h.

## quantumType() [3/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Array< Double > > * |  | ) |

inline

Definition at line 80 of file QuantumType.h.

## quantumType() [4/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Array< Float > > * |  | ) |

inline

Definition at line 82 of file QuantumType.h.

## quantumType() [5/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Array< Int > > * |  | ) |

inline

Definition at line 84 of file QuantumType.h.

## quantumType() [6/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Complex > * |  | ) |

inline

Definition at line 68 of file QuantumType.h.

## quantumType() [7/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< DComplex > * |  | ) |

inline

Definition at line 66 of file QuantumType.h.

## quantumType() [8/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Double > * |  | ) |

inline

Definition at line 60 of file QuantumType.h.

## quantumType() [9/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Float > * |  | ) |

inline

Definition at line 62 of file QuantumType.h.

## quantumType() [10/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Int > * |  | ) |

inline

Definition at line 64 of file QuantumType.h.

## quantumType() [11/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Matrix< Complex > > * |  | ) |

inline

Definition at line 98 of file QuantumType.h.

## quantumType() [12/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Matrix< DComplex > > * |  | ) |

inline

Definition at line 96 of file QuantumType.h.

## quantumType() [13/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Matrix< Double > > * |  | ) |

inline

Definition at line 90 of file QuantumType.h.

## quantumType() [14/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Matrix< Float > > * |  | ) |

inline

Definition at line 92 of file QuantumType.h.

## quantumType() [15/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Matrix< Int > > * |  | ) |

inline

Definition at line 94 of file QuantumType.h.

## quantumType() [16/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Vector< Complex > > * |  | ) |

inline

Definition at line 78 of file QuantumType.h.

## quantumType() [17/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Vector< DComplex > > * |  | ) |

inline

Definition at line 76 of file QuantumType.h.

## quantumType() [18/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Vector< Double > > * |  | ) |

inline

Definition at line 70 of file QuantumType.h.

## quantumType() [19/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Vector< Float > > * |  | ) |

inline

Definition at line 72 of file QuantumType.h.

## quantumType() [20/20]

uInt casacore::QuantumType_global_functions_QuantumType::quantumType | ( | const Quantum< Vector< Int > > * |  | ) |

inline

Definition at line 74 of file QuantumType.h.

The documentation for this struct was generated from the following file:

- casa/Quanta/QuantumType.h